libu2f-host: Multiple vulnerabilities

2020-04-30T00:00:00
ID GLSA-202004-15
Type gentoo
Reporter Gentoo Foundation
Modified 2020-04-30T00:00:00

Description

Background

Yubico Universal 2nd Factor (U2F) Host C Library.

Description

Multiple vulnerabilities have been discovered in libu2f-host. Please review the CVE identifiers referenced below for details.

Impact

A remote attacker could entice a user to plug-in a malicious USB device, possibly resulting in execution of arbitrary code with the privileges of the process or a Denial of Service condition.

Workaround

There is no known workaround at this time.

Resolution

All libu2f-host users should upgrade to the latest version:

 # emerge --sync
 # emerge --ask --oneshot --verbose ">=app-crypt/libu2f-host-1.1.10"